libxml++ 5.0.1

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
xmlpp::exception Class Reference

Base class for all xmlpp exceptions. More...

`#include <libxml++/exceptions/exception.h>`

Inheritance diagram for xmlpp::exception:
[legend]

## Public Member Functions
LIBXMLPP_API | exception (const ustring& message)
LIBXMLPP_API | ~exception () noexcept override
virtual LIBXMLPP_API exception* | clone () const
virtual LIBXMLPP_API void | raise () const
LIBXMLPP_API const char* | what () const noexcept override

## Detailed Description

Base class for all xmlpp exceptions.

## Constructor & Destructor Documentation

LIBXMLPP_API xmlpp::exception::exception | ( | const ustring& | message | ) |
| explicit

LIBXMLPP_API xmlpp::exception::~exception | ( |  | ) |
| override noexcept

## Member Function Documentation

virtual LIBXMLPP_API exception* xmlpp::exception::clone | ( |  | ) | const
| virtual

Reimplemented in xmlpp::parse_error, xmlpp::validity_error, and xmlpp::internal_error.

virtual LIBXMLPP_API void xmlpp::exception::raise | ( |  | ) | const
| virtual

Reimplemented in xmlpp::parse_error, xmlpp::validity_error, and xmlpp::internal_error.

LIBXMLPP_API const char* xmlpp::exception::what | ( |  | ) | const
| override virtual noexcept

Reimplemented from std::exception.